<li class="search-results__item py-4 row">
  {% set sys_id = search_result.getField('sys_id') %}
  {% set result_link = path('dexes_dcat.dataset.view', { 'dataset': search_result.getStringField('sys_name') }) %}
  <div class="col-12 col-lg-8">
    <div class="search-result__header">
      <div class="search-result__icon">
        <i class="fa fa-brands fa-buffer"></i>
      </div>
      <div class="search-result__title">
        <!-- MEK: placeholder for dataset type -->
        <div class="search-result__type">{{ search_result.getStringField('sys_type') }}</div>
        <a href="{{ result_link }}" class="dex__link" data-placement="left" data-toggle="tooltip"
           title="{{ ('View this ' ~ search_result.getStringField('sys_type'))|t }}">
          <h2 class="dex__title--sub">{{ search_result.getStringField('title') }}</h2>
        </a>
      </div>
    </div>
    <div class="search-results__item-body mb-3">
      {% if search_highlighting.hasHighlightingFor(sys_id, 'description') %}
        {% set search_result_body = search_highlighting.getFirstHighlightingFor(sys_id, 'description') %}
      {% else %}
        {% set search_result_body = search_result.getStringField('description') %}

        {% if search_result_body|length > 300 %}
          {% set search_result_body = search_result_body|slice(0, 300) ~ '&hellip;' %}
        {% endif %}
      {% endif %}
      <p>{{ search_result_body|raw }}</p>
    </div>
    <div class="d-flex justify-content-between align-items-center">
      <div class="short-links ml-2">
        <a href="{{ result_link }}" title="{{ ('View this ' ~ search_result.getStringField('sys_type'))|t }}"
           data-toggle="tooltip" data-placement="left">
          <i class="fa fa-fw fa-arrow-right"></i>
          {{ ('View ' ~ search_result.getStringField('sys_type'))|t }}
        </a>
      </div>
      <div>
        {% set used_file_types = [] %}
        {% for format in search_result.getArrayField('distribution_file_types') %}
          {% if format not in used_file_types %}
            {% set used_file_types = used_file_types|merge([format]) %}
            <span class="badge badge-distribution mr-2 p-2" itemprop="encodingFormat"
                  data-toggle="tooltip" data-placement="top" title="{{ 'The fileformat for one of the distributions'|t }}"
            >{{ format|identifier_to_label('MDR:Filetype') }}</span>
          {% endif %}
        {% endfor %}
      </div>
    </div>
  </div>
  <div class="col-12 col-lg-4 search-sidebar">
    <ul class="list-unstyled">
      <li>
        <h3>{{ 'Status:'|t }}</h3>
        <div class="d-flex flex-wrap align-items-center">
          {% set status = search_result.getStringField('status') %}
          {% if status %}
            {% set status_color = status|status_to_color %}
            {% set dataset_status_label = status|identifier_to_label('Overheid:DatasetStatus') %}
            <span class="chip {{ status_color }}"
                  data-toggle="tooltip" data-placement="top" title="{{ 'The status of the dataset'|t }}"
            >{{ dataset_status_label }}</span>
          {% endif %}
          <div>
            {% set modification_time = search_result.getDateTimeField('modified') %}
            <time datetime="{{ modification_time|date('Y-m-dTH:I') }}"
                  data-toggle="tooltip" data-placement="top" title="{{ 'The modification date of the dataset'|t }}"
            >{{ modification_time|date('Y-m-d') }}</time>
          </div>
        </div>
      </li>
      <li>
        <h3>{{ 'Shared in:'|t }}</h3>
        <div class="d-flex flex-wrap align-items-center">
          {% for dataspace in search_result.getArrayField('relation_dataspace') %}
            <a href="{{ dataspace }}">{{ dataspace|identifier_to_label('DEXES:Dataspaces') }}</a>{% if not loop.last %},{% endif %}
          {% endfor %}
        </div>
      </li>
      <li>
        <h3>{{ 'Share and reuse:'|t }}</h3>
        <div class="d-flex flex-wrap align-items-center">
          {% set access_rights = search_result.getStringField('access_rights')|identifier_to_label('Overheid:Openbaarheidsniveau') %}
          {% set access_rights_color = search_result.getStringField('access_rights')|access_rights_to_color %}
          {% set license = search_result.getStringField('license')|identifier_to_label('DONL:License') %}
          {% set license_color = search_result.getStringField('license')|license_to_color %}
          <span class="chip {{ access_rights_color }}"
                data-toggle="tooltip" data-placement="top" title="{{ 'The access rights of the dataset'|t }}"
          >{{ access_rights }}</span>
          <span class="chip {{ license_color }}"
                data-toggle="tooltip" data-placement="top" title="{{ 'The license of the dataset'|t }}"
          >{{ license }}</span>
          {% set policy_amount = search_result.getArrayField('policies')|length %}
          <b><i class="fa-solid fa-scale-unbalanced mr-1" title="{{ 'The policies for this dataset'|t }}"></i>{{ policy_amount }}</b>
        </div>
      </li>
      <li>
        <h3>{{ 'Data owner:'|t }}</h3>
        <div class="d-flex flex-wrap align-items-center">
          <span>{{ search_result.getStringField('publisher')|identifier_to_label('DONL:Organization') }}</span>
        </div>
      </li>
    </ul>
  </div>
</li>
